#!/usr/bin/env python
# -*- coding: utf-8 -*-

# import required modules
import RPi.GPIO as GPIO
import time

# set GPIO pin with connected button
GPIOLedPin = 17

# to use Raspberry Pi board pin numbers
GPIO.setmode(GPIO.BCM)

# set up GPIO output channel
GPIO.setup(GPIOLedPin, GPIO.OUT)

# blinking function
def blink():
    while True:
        GPIO.output(GPIOLedPin,GPIO.HIGH)
        time.sleep(1)
        GPIO.output(GPIOLedPin,GPIO.LOW)
        time.sleep(1)

# blink LED 
try:
    blink()
except KeyboardInterrupt:
    GPIO.cleanup()
